summaryrefslogtreecommitdiffstats
path: root/libraries/vte3/vte3.SlackBuild
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2014-04-29 13:37:48 +0200
committer Erik Hanson2014-04-29 13:44:53 +0200
commitbeead0d52561bb5801754a3cd6c003da0cb73eb2 (patch)
tree6fd678767f4fc7a37f6eb3812c750c05d8825dd5 /libraries/vte3/vte3.SlackBuild
parent2675589b9b30758b9f1d9238bb08ab019c2e1952 (diff)
downloadslackbuilds-beead0d52561bb5801754a3cd6c003da0cb73eb2.tar.gz
libraries/vte3: Updated for version 0.36.1.
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'libraries/vte3/vte3.SlackBuild')
-rw-r--r--libraries/vte3/vte3.SlackBuild23
1 files changed, 9 insertions, 14 deletions
diff --git a/libraries/vte3/vte3.SlackBuild b/libraries/vte3/vte3.SlackBuild
index 9efe2d5008..cdfddf3f6e 100644
--- a/libraries/vte3/vte3.SlackBuild
+++ b/libraries/vte3/vte3.SlackBuild
@@ -24,7 +24,7 @@
SRCNAM=vte
PRGNAM=vte3
-VERSION=${VERSION:-0.36.0}
+VERSION=${VERSION:-0.36.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -64,11 +64,10 @@ rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
cd $SRCNAM-$VERSION
-# Make sure ownerships and permissions are sane:
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
@@ -88,23 +87,19 @@ CFLAGS="$SLKCFLAGS" \
--enable-gnome-pty-helper \
--with-gtk=3.0 \
--with-default-emulation=xterm \
- --build=$ARCH-slackware-linux || exit 1
+ --build=$ARCH-slackware-linux
-# Build and install:
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
+make $NUMJOBS || make
+make install DESTDIR=$PKG
# Remove this, it's included in the stock vte package:
rm $PKG/usr/libexec/gnome-pty-helper
-# Strip binaries:
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Add a documentation directory:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS ChangeLog COPYING* HACKING MAINTAINERS NEWS README* \
+cp -a AUTHORS ChangeLog COPYING* HACKING MAINTAINERS NEWS README* \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild